Retrieve an Index Job Log
Use the get index job log operation to retrieve the log output for an index build job.
The operation returns the detailed log file contents for diagnosing index creation issues or monitoring progress.
See the following for examples of how to implement get_index_job_log:
from oracle_vecdb import OracleVecDB, Configuration
client = OracleVecDB(Configuration(
rest_url="https://<host>/ords/<schema>/_/db-api/stable/vecdb/",
# or username="<user>", password="<pass>"
access_token="<bearer-token>",
))
job_log = client.get_index_job_log(
index_job_name="VECDB_REBUILD_INDEX_575FD66FCCF405F1E063324946644650"
)
print(job_log)
A JSON response is returned containing log file metadata and contents.
Example response from a failed rebuild-index job:
{
"log_date": "2026-07-27T07:11:36.773898Z",
"job_name": "VECDB_REBUILD_INDEX_575FD66FCCF405F1E063324946644650",
"status": "FAILED",
"error": "57703",
"additional_info": "ORA-57703: Parameter index cannot be NULL or empty.\nORA-06512: at \"SYS.DBMS_SYS_ERROR\", line 86\nORA-06512: at \"SYS.DBMS_VECTOR_DATABASE\", line 10888\nORA-06512: at \"SYS.DBMS_VECTOR_DATABASE\", line 11185\nORA-06512: at line 1\n",
"actual_start_date": "2026-07-27T07:11:36.758639Z",
"run_duration": "P0DT0H0M0S",
"links": [
{
"rel": "collection",
"href": ".../vecdb/vector-indexes/jobs/VECDB_REBUILD_INDEX_.../"
}
]
}
For more information about the get_index_job_log operation, see Python API Reference.
See how GET /vecdb/vector-indexes/jobs/{index_job_name}/jobfile can be used in the following example:
curl -X GET \
"https://<host>:<port>/ords/<schema>/_/db-api/stable/vecdb/vector-indexes/jobs/VECDB_CREATE_INDEX_20260501100000/jobfile" \
-H "Accept: application/json" \
# Choose ONE authentication method:
# Option 1: Basic authentication
-u "<user>:<password>"
# Option 2: OAuth Bearer token
# -H "Authorization: Bearer <access_token>"
Responses:
-
Example 200 response:
{ "actual_start_date": "2026-05-01T10:00:00.32485Z", "additional_info": null, "error#": 0, "job_name": "VECDB_CREATE_INDEX_20260501100000", "links": [ { "href": "/vecdb/vector-indexes/jobs/VECDB_CREATE_INDEX_20260501100000/", "rel": "collection" } ], "log_date": "2026-05-01T10:00:00.772103Z", "run_duration": "P0DT0H0M0S", "status": "SUCCEEDED" }
For more information about GET /vecdb/vector-indexes/jobs/{index_job_name}/jobfile, see REST API Reference.